Bug 838856 - Insufficient logging in jbpm-console relating to ksession initialization
Insufficient logging in jbpm-console relating to ksession initialization
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ---
: future
Assigned To: Shelly McGowan
Lukáš Petrovický
Depends On:
  Show dependency treegraph
Reported: 2012-07-10 06:11 EDT by Marco Rietveld
Modified: 2016-09-20 01:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There are situations where there is insufficient logging for the business central console. This issue has been raised and will be reexamined in future versions of the product.
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marco Rietveld 2012-07-10 06:11:53 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run into a problem involving jbpm-console initialization
2. Look at the error log. 
3. Be confounded. 
Actual results:

You look at the server log and see something like this: 

org.jboss.resteasy.spi.UnhandledException: java.lang.NoClassDefFoundError: Could not initialize class org.jbpm.integration.console.StatefulKnowledgeSessionUtil$SessionHolder

You are confounded and frustrated and you possibly even curse the developers -- given that the error is not helping you at all with figuring out what the @#$% that stupid software is doing! 
Expected results:

You look at the server log and see an error that actually helps you. 

Additional info:

What's going on here is that the StatefulKnowledgeSessionUtil.initializeStatefulKnowledgeSession() method is throwing an exception, but that this exception is being swallowed up because it's called during initalization of the StatefulKnowledgeSessionUtil$SessionHolder inner class. 

I'm seeing this error in messages on internal lists where people are having problems with the console -- without appropriate information, it's very hard for them (or me helping them) to figure out what the problem is. 

The fix is to add logging at one or two points so that the appropriate (error/exception) information shows up in the server logs.
Comment 1 Maciej Swiderski 2012-08-21 08:34:59 EDT
fyi - this was taken under consideration as part of https://issues.jboss.org/browse/JBPM-3724 - configurable session in jbpm-console but since that jira is much more than just logging don't know if it is going to be included in 5.3.1
Comment 2 Lukáš Petrovický 2012-10-17 04:08:59 EDT
Moving to future and setting MODIFIED, as this can he expected in future versions of jBPM.
Comment 3 Rajesh Rajasekaran 2012-11-14 08:47:47 EST
Setting the release flag to - as this issue will not make it into 5.3.1

Note You need to log in before you can comment on or make changes to this bug.